--- tls-openssl.c.orig	2016-03-02 16:48:38.000000000 -0600
+++ tls-openssl.c	2016-03-02 16:50:34.000000000 -0600
@@ -659,15 +659,15 @@
 static BOOL
 init_ecdh(SSL_CTX * sctx, host_item * host)
 {
+#ifdef OPENSSL_NO_ECDH
+return TRUE;
+#else
+
 EC_KEY * ecdh;
 uschar * exp_curve;
 int nid;
 BOOL rv;
 
-#ifdef OPENSSL_NO_ECDH
-return TRUE;
-#else
-
 if (host)	/* No ECDH setup for clients, only for servers */
   return TRUE;
 
